@charset "utf-8";

body {
	font-family: 'Days One', sans-serif;
	font-weight:300;
	color:black;
	background-color: #26235A;
}

#container {
	max-width: 1000px;
	margin-left:auto;
	margin-right:auto;
}

nav ul, nav ol {
	list-style-type: none;
}

img {
	max-width:100%;
}

h1, h2, h3, p, ul, ol {
	margin: 0;
	padding: 0;
}

/***** header ****/

header {
	padding:20px;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	margin: 0px;
	background-color: white;
}

header h1 {
	font-family: 'Chonburi', sans-serif;
	padding: 20px;
}

header p {
	padding: 20px;
	margin-top: 10px;
}

/****** box flipper *****/

.flip-container { 
	perspective: 1000px; 
	
}
	
.flip-container.hover .back {
	transform: rotateY(0deg);
}

.flip-container.hover .front {
    transform: rotateY(180deg);
}

.flip-container, .front, .back {
	width: 100%;
}

.flipper {
	transition: 0.6s;
	transform-style: preserve-3d;
	position: relative;
	height: 0;
	padding-top:100%;
}

.front, .back {
	-webkit-backface-visibility: hidden; /*still needed for safari & android*/
	backface-visibility: hidden;
	transition: 0.6s;
	transform-style: preserve-3d;
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
}

.front { transform: rotateY(0deg); 
	z-index: 2; 
}

.front img  {
	display: block;
	width: 130px;
	height: auto;
	margin-left: auto;
	margin-right: auto;
	margin-top: 3vh;
}

.front h3 {
	margin-top: 5vh;
	text-align: center;
	text-transform: uppercase;
}

.front p {
	padding: 50px;
	letter-spacing: .05em;
	line-height: 25px;
}



.back {
	transform: rotateY(-180deg);
	background: inherit;
	padding:20px;
	box-sizing: border-box;
}

.title {
	margin-top: 5vh;
	text-align: center;
	text-transform: uppercase;
	font-size: large;
}


.name {
	padding: 50px;
	letter-spacing: .05em;
	line-height: 25px;
}



/***** nav styles ****/

#navigation {
	position: relative;
}

button .mobilenav {
	background: inherit;
	margin-bottom: 20px;
	padding-right: 20px;
}

.mobilenav button {
	color: white;
	margin-top: 15px;
	padding: 17px 40px;
	border-radius: 50px;
	border: 0;
	background-color: blue;
	box-shadow: rgb(0 0 0 / 5%) 0 0 8px;
	letter-spacing: 1.5px;
	text-transform: uppercase;
	font-size: 15px;
	transition: all .5s ease;
}

 button {
	color: white;
	margin-top: 15px;
	padding: 17px 40px;
	border-radius: 50px;
	border: 0;
	background-color: blue;
	box-shadow: rgb(0 0 0 / 5%) 0 0 8px;
	letter-spacing: 1.5px;
	text-transform: uppercase;
	font-size: 15px;
	transition: all .5s ease;
}

button:hover {
	background-color: hsl(261deg 80% 48%);

}

button:active {
	transform: translateY(5px);
	transition: 100ms;
}

#mainnav {
	display:none;
	width: 200px;
	position: absolute;
	right: 0;
	border-top: 1px solid black;
	z-index:1;
}


#mainnav a {
	background: blue;
	color:#ebebeb;
	font-weight:400;
	font-size: large;
	line-height:50px;
	text-decoration:none;
	text-align:right;
	padding-right: 20px;
	width:200px;
	border-bottom: 1px solid black;
	display:block;
}

#mainnav a:hover {
	background: #9A5601;
}

#navigation:hover #mainnav {display: block;}

/***** testimonials styles *****/

#test {
	border-top: 1px solid black;
	padding: 20px;
	font-size: normal;
	background-color:aliceblue;
}


#test h2 {
	padding: 20px;
}

.quotes {
	border-left: 2px solid #5DE3E3;
	margin-bottom: 20px;
	padding: 20px;
	background-color: #d3d3d3;
	border-radius: 15px;
	letter-spacing: .05em;
	line-height: 1.5rem;
	max-width: 500px;
}

.quotes h3 {
	padding: 20px;
}


/****** benefits styles *****/

#bene {
	padding: 20px; 
	line-height: 1.5rem;
	letter-spacing: 0.05em;
	border-top: 1px solid black;
	background-color: azure;
}

#bene h2 {
	padding: 20px;
}

#bene p {
	padding-left: 40px;
	padding-right: 40px;
}



/**** page styles ****/

#parallax1 {
	background-image: url("imgs/guitar.jpg");
	background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
	height: 500px;
	padding: 25px;
}

#parallax1 h2, #parallax1 p {
	color: #FFF;
	padding: 30px;
	font-weight: 400;
	font-size: large;
}

#parallax1 p {
	line-height: 2rem;
	letter-spacing: normal;
}

#parallax1 .btn {
    margin-right:20px;
	margin-left: auto;
	margin-top: 8vh; 
}

#box {
	background-color: white;
	padding: 20px;
}

.options {
	width: 300px;
	padding: 20px;
	height: 507px;
	overflow:hidden;
    background-color: #D9D9D9;
    margin-top: 50px;
    margin-bottom: 50px;
	margin-left: auto;
	margin-right: auto;
    border: 1px solid black;
    border-radius: 40px;
}



.flipper .front .flipbtn {
	/***button specificity needed, ERROR for .flipbtn***/
    margin-left:16%;
    margin-right: auto;
	
}

.flipper .back h3 {
	margin-top: 10px;
}

.flipper .back p {
	margin-left: auto;
	margin-right: auto;
	width: 70%;
	padding: 10px;
}

.flipper .back a .flipbtn{
	/***button on back***/
    margin-left: 6%;
    margin-right: auto;
	
}

/***** Call to action *****/

#booknow {
	background-color: #d3d3d3;
	padding: 30px;
	margin-bottom: 15px;
	margin-top:15px;
}

#container #booknow .bookbtn {
	display: block;
    margin-left: auto;
    margin-right: auto;
}

#booknow a {
	text-decoration: none;
}

#booknow a .bookbtn{
    border-radius: 10px;
}

/*** bobby section ***/

#container #bob {
    padding: 20px;
    background-color: #D3D3D3;
	min-height: 400px;
	
}

#container #bob img {
	width: 250px;
	float: left;
	margin-right: 20px;
}

#container #bob p, #container #bob cite {
	line-height: 1.5rem;
}

#container #bob p {
	max-width: 800px;
}

/***** para and room styles *****/

#para {
	padding: 20px; 
	line-height: 1.5rem;
	letter-spacing: 0.05em;
	border-top: 1px solid black;
	background-color: white;
}

#para p  {
	padding-left: 10px;
	margin-left: 40px;
	padding-right: 40px;
	border-left: solid 2px #37ADBD;
}

#room {
    padding: 20px;
    line-height: 1.5rem;
    letter-spacing: 0.05em;
    background-image: linear-gradient(rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0.5)), url("imgs/room.jpg");
    color: black;
    background-size: cover;
    background-repeat: no-repeat;
	background-position: center;
	padding-bottom: 50px;
}

#room h2 {
	padding: 20px;
	
}

#room p  {
	padding-left: 10px;
	margin-left: 40px;
	padding-right: 40px;
	border-left: solid 2px #37ADBD;
	margin-bottom: 10px;
}

#para h2 {
	padding: 20px;
}

#room ul .list {
	list-style-type: none;
	padding: 20px;
	font-size: 1.2rem;
}

#room ul .descript {
	list-style-type: circle;
	margin-left: 20px;
	margin-top: 5px;
	font-size: 1rem;
}

/***** booking styles *****/

#book {
	background-color: white;
	padding: 20px;
	line-height: 1.5rem;
	letter-spacing: 0.05em;
	border-top: 1px solid black;
	padding-bottom: 40px;
}
 #book h2, #book label {
	margin-top: 10px;
 }

#book p {
	padding: 20px;
}
 
.labeldisc {
	padding: 0px;
	margin-left: -20px;
	margin-top: -20px;
}

#book input {
		margin-left: 20px;
		margin-top: 10px;
		margin-bottom: 10px;
}

/**** footer styles ****/

footer {
	display: flex;
	background-color: #37ADBD;
	padding: 20px;
	color: white;
	font-weight: 200;
	letter-spacing: .1em;
	justify-content: space-between;
}

footer h4 {
	font-weight: 200;
	margin-bottom: 10px;
	margin-top: 25px;
}

footer p {
	font-size: small;
}

footer img {
	max-width: 40%;
	margin-right: 0;
	padding: 20px;
	align-self: flex-end;
}




/***** media query *****/


@media only screen and (max-width: 405px) {
	#container {
		
	}
	
	#parallax1 {
		min-height: 650px;
		background-image: url("imgs/guitar.jpg");
		background-position: center center;
		background-repeat: no-repeat;
		background-attachment: fixed;
		background-size: cover;
	}
	
	#parallax1 .btn {
    display: block;
	margin-top: 0px;
	}
	
	#mainnav a {
		text-align: center;
	}
	
	div .options {
		margin-left: auto;
		margin-right: auto;
	}

	#container #bob img {
		width: 150px;
	}

}

@media only screen and (min-width: 410px) {
	
	#container {
		margin-left: auto;
		margin-right: auto;
	}
	
	#parallax1 {
		min-height: 550px;
	
	}
	
	#container #bob img {
		width: 200px;
	}
	
	
}

@media only screen and (min-width: 750px) {
		#container {
		max-width: 900px;
		margin-left: auto;
		margin-right: auto;
	}
	
	#parallax1 {
		min-height: 400px;
	
	}
	
	
	#container section #bob {
		max-height: 200px;
	}
	
	#container #box {
		display: flex;
		flex-wrap: wrap;
		flex-direction: row;
	}
	
	#content {
		display:flex;
	}
	
	#content {
		margin-left: auto;
		margin-right: auto;
		display: flex;
		flex-wrap: wrap-reverse;
	}
	
	.quotes {
		margin-right: 30px;
		flex:1;
	}
	
	
}
